Skip to main content
POST
/
orgs
/
{org_id}
/
emails
/
domains
Add an Email Domain
curl --request POST \
  --url https://api.useinvent.com/orgs/{org_id}/emails/domains \
  --header 'Content-Type: application/json' \
  --data '
{
  "domain": "<string>"
}
'
{
  "id": "<string>",
  "domain": "<string>",
  "dkim_status": "PENDING",
  "dkim_tokens": [
    {
      "name": "<string>",
      "value": "<string>"
    }
  ],
  "verified_at": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Path Parameters

org_id
string
required

The ID of the org

Body

Schema for adding a new email domain

domain
string
required

Domain name to verify for DKIM

Required string length: 1 - 512

Response

200 - application/json

An email domain with DKIM verification

id
string
required

Unique identifier for the email domain

domain
string
required

The domain name

dkim_status
enum<string>
required

DKIM verification status of an email domain

Available options:
PENDING,
VERIFIED,
FAILED
dkim_tokens
object[] | null
required

DKIM CNAME records to add to DNS

verified_at
string<date-time> | null
required

Timestamp when the domain was verified

created_at
string<date-time> | null
required

Timestamp when the domain was created

updated_at
string<date-time> | null
required

Timestamp when the domain was last updated